# do not build debug packages for now
%global debug_package %{nil}

%global version 5.10.6
%global revision 89.f42f8c5.5.10

Name:		mcg
Version:	%{version}
Release:	91%{?dist}
Summary:	Multicloud Object Gateway command-line

License:	ASL 2.0
URL:		https://www.noobaa.com/
Source0:	noobaa-operator-89.f42f8c5.5.10.tar.gz
Patch0:         replace_default_DBType.patch
Patch1:		set_downstream_images.patch
Patch2:		hide_install_uninstall_from_cli.patch
Patch3:		fix-win-log-formatting.patch
Patch4:		hide_bucket_from_cli.patch

BuildRequires:	rsync
BuildRequires:	go-toolset

%description
The Multicloud Object Gateway command-line is a tool that helps administrators to manage the deployment and
second-day operations for NooBaa systems, such as adding backing stores,
managing bucket claims, and setting mirroring and multi-cloud policies via
bucket classes. It provides a friendly interface and produces YAML files
for the operator in the background.

%package redistributable
Summary:        Multicloud Object Gateway command-line binaries for Linux, Mac OSX, and Windows

%description redistributable
The Multicloud Object Gateway command-line binaries for Linux, Mac OSX, and Windows
is a tool that helps administrators to manage the deployment and
second-day operations for NooBaa systems, such as adding backing stores,
managing bucket claims, and setting mirroring and multi-cloud policies via
bucket classes. It provides a friendly interface and produces YAML files

%prep
%setup -c
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
go version
%ifarch ppc64le
GOOS=linux GOARCH=ppc64le CGO_ENABLED=0 GO111MODULE=on go build -ldflags="-s -w" -mod=vendor
%endif
%ifarch %{arm} aarch64
GOOS=linux GOARCH=arm64 CGO_ENABLED=0 GO111MODULE=on go build -ldflags="-s -w" -mod=vendor
%endif
%ifarch s390x
GOOS=linux GOARCH=s390x CGO_ENABLED=0 GO111MODULE=on go build -ldflags="-s -w" -mod=vendor
%endif
%ifarch x86_64
CGO_ENABLED=0 GO111MODULE=on go build -ldflags="-s -w" -mod=vendor
GOOS=darwin CGO_ENABLED=0 GO111MODULE=on go build -o noobaa-operator-darwin -ldflags="-s -w" -mod=vendor 
GOOS=windows CGO_ENABLED=0 GO111MODULE=on go build -o noobaa-operator-windows -ldflags="-s -w" -mod=vendor 
%endif
strip -s noobaa-operator

%install
# Use install that provides option for file permission
install -D -p -m 755 noobaa-operator %{buildroot}%{_bindir}/noobaa
%ifarch x86_64
install -D -p -m 755 noobaa-operator %{buildroot}%{_datadir}/%{name}/linux/noobaa
install -D -p -m 755 noobaa-operator-darwin %{buildroot}%{_datadir}/%{name}/macosx/noobaa
install -D -p -m 755 noobaa-operator-windows %{buildroot}/%{_datadir}/%{name}/windows/noobaa.exe
%endif
install -D -p -m 644 doc/noobaa.1 %{buildroot}%{_mandir}/man1/noobaa.1

%files
%{_bindir}/noobaa
%doc doc/*
%{_mandir}/man1/*

%ifarch x86_64
%files redistributable
%dir %{_datadir}/%{name}/linux/
%dir %{_datadir}/%{name}/macosx/
%dir %{_datadir}/%{name}/windows/
%{_datadir}/%{name}/linux/noobaa
%{_datadir}/%{name}/macosx/noobaa
%{_datadir}/%{name}/windows/noobaa.exe
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Sep 01 2022 CPaaS User <cpaas-ops@redhat.com> - 5.10.6-91
- Bump release

* Tue Aug 30 2022 CPaaS User <cpaas-ops@redhat.com> - 5.10.6-90
- Bump release

* Tue Aug 30 2022 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.10.1-89
- Rebase to 5.10.6 (f42f8c5)

* Tue Aug 30 2022 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.11.0-88
- Rebase to 5.10.1 (9c5654d)

* Tue Aug 30 2022 CPaaS User <cpaas-ops@redhat.com> - 5.11.0-87
- Bump release

* Tue Aug 30 2022 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.10.1-86
- Rebase to 5.11.0 (3e55ae5)

* Mon Aug 29 2022 CPaaS User <cpaas-ops@redhat.com> - 5.10.1-85
- Bump release

* Mon Aug 29 2022 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.10.1-84
- Rebase to 5.10.1 (9c5654d)

* Mon Jun 27 2022 CPaaS User <cpaas-ops@redhat.com> - 5.10.1-83
- Bump release

* Mon Jun 27 2022 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.10.1-82
- Rebase to 5.10.1 (2baafc3)

* Mon Jun 20 2022 CPaaS User <cpaas-ops@redhat.com> - 5.10.1-81
- Bump release

* Wed May 18 2022 CPaaS User <cpaas-ops@redhat.com> - 5.10.1-80
- Bump release

* Wed May 18 2022 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.10.1-79
- Rebase to 5.10.1 (6f571fd)

* Thu May 12 2022 CPaaS User <cpaas-ops@redhat.com> - 5.10.1-78
- Bump release

* Thu May 12 2022 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.10.0-77
- Rebase to 5.10.1 (2beee20)

* Fri Apr 29 2022 CPaaS User <cpaas-ops@redhat.com> - 5.10.0-76
- Bump release

* Thu Apr 28 2022 CPaaS User <cpaas-ops@redhat.com> - 5.10.0-75
- Bump release

* Thu Apr 28 2022 CPaaS User <cpaas-ops@redhat.com> - 5.10.0-74
- Bump release

* Thu Apr 28 2022 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.10.0-73
- Rebase to 5.10.0 (4089594)

* Tue Mar 29 2022 CPaaS User <cpaas-ops@redhat.com> - 5.10.0-72
- Bump release

* Wed Mar 23 2022 CPaaS User <cpaas-ops@redhat.com> - 5.10.0-71
- Bump release

* Wed Mar 23 2022 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.10.0-70
- Rebase to 5.10.0 (0c7061e)

* Tue Mar 22 2022 CPaaS User <cpaas-ops@redhat.com> - 5.10.0-69
- Bump release

* Mon Mar 21 2022 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.10.0-68
- Rebase to 5.10.0 (1fd8157)

* Wed Mar 16 2022 CPaaS User <cpaas-ops@redhat.com> - 5.10.0-67
- Bump release

* Tue Mar 15 2022 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.10.0-66
- Rebase to 5.10.0 (0bd517d)

* Mon Mar 14 2022 CPaaS User <cpaas-ops@redhat.com> - 5.10.0-65
- Bump release

* Tue Mar 08 2022 CPaaS User <cpaas-ops@redhat.com> - 5.10.0-64
- Bump release

* Tue Mar 08 2022 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.10.0-63
- Rebase to 5.10.0 (e67d45a)

* Thu Mar 03 2022 CPaaS User <cpaas-ops@redhat.com> - 5.10.0-62
- Bump release

* Thu Mar 03 2022 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.10.0-61
- Rebase to 5.10.0 (ce09c1c)

* Thu Mar 03 2022 CPaaS User <cpaas-ops@redhat.com> - 5.10.0-60
- Bump release

* Wed Mar 02 2022 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.10.0-59
- Rebase to 5.10.0 (e142b42)

* Wed Mar 02 2022 CPaaS User <cpaas-ops@redhat.com> - 5.10.0-58
- Bump release

* Wed Mar 02 2022 CPaaS User <cpaas-ops@redhat.com> - 5.10.0-57
- Bump release

* Wed Mar 02 2022 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.10.0-56
- Rebase to 5.10.0 (65e8b3b)

* Wed Mar 02 2022 CPaaS User <cpaas-ops@redhat.com> - 5.10.0-55
- Bump release

* Tue Mar 01 2022 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.10.0-54
- Rebase to 5.10.0 (2caaf1f)

* Thu Feb 24 2022 CPaaS User <cpaas-ops@redhat.com> - 5.10.0-53
- Bump release

* Thu Feb 24 2022 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.10.0-52
- Rebase to 5.10.0 (3cbf560)

* Tue Feb 22 2022 CPaaS User <cpaas-ops@redhat.com> - 5.10.0-51
- Bump release

* Fri Feb 04 2022 CPaaS User <cpaas-ops@redhat.com> - 5.10.0-50
- Bump release

* Thu Feb 03 2022 CPaaS User <cpaas-ops@redhat.com> - 5.10.0-49
- Bump release

* Wed Feb 02 2022 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.10.0-48
- Rebase to 5.10.0 (3ad78ef)

* Tue Feb 01 2022 CPaaS User <cpaas-ops@redhat.com> - 5.10.0-47
- Bump release

* Mon Jan 31 2022 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.10.0-46
- Rebase to 5.10.0 (e30d5be)

* Thu Jan 27 2022 CPaaS User <cpaas-ops@redhat.com> - 5.10.0-45
- Bump release

* Thu Jan 27 2022 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.10.0-44
- Rebase to 5.10.0 (fff7cf7)

* Tue Jan 25 2022 CPaaS User <cpaas-ops@redhat.com> - 5.10.0-43
- Bump release

* Tue Jan 25 2022 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.10.0-42
- Rebase to 5.10.0 (67d2604)

* Tue Jan 25 2022 Boris Ranto <branto@redhat.com> - 5.10.0-41
- Change the release field for rpmdev-bumpspec support

* Tue Jan 18 2022 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.10.0-40.c1f2aac.5.10
- Rebase to mcg-operator-5.10.0-40.c1f2aac.5.10

* Mon Jan 17 2022 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.10.0-39.9336feb.5.10
- Rebase to mcg-operator-5.10.0-39.9336feb.5.10

* Fri Jan 14 2022 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.10.0-38.2a7b7bd.5.10
- Rebase to mcg-operator-5.10.0-38.2a7b7bd.5.10

* Thu Jan 13 2022 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.9.2-37.b946eff.5.9
- Rebase to mcg-operator-5.9.2-37.b946eff.5.9

* Thu Oct 28 2021 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.9.0-36.402bd79.5.9
- Rebase to mcg-operator-5.9.0-36.402bd79.5.9

* Thu Oct 28 2021 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.9.0-35.402bd79.5.9
- Rebase to mcg-operator-5.9.0-35.402bd79.5.9

* Thu Oct 28 2021 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.9.0-35.402bd79.5.9
- Rebase to mcg-operator-5.9.0-35.402bd79.5.9

* Thu Oct 28 2021 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.9.0-35.402bd79.5.9
- Rebase to mcg-operator-5.9.0-35.402bd79.5.9

* Thu Oct 28 2021 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.9.0-35.402bd79.5.9
- Rebase to mcg-operator-5.9.0-35.402bd79.5.9

* Thu Oct 28 2021 CPaaS Jenkins <ceph-jenkins@redhat.com> - 5.9.0-35.402bd79.5.9
- Rebase to mcg-operator-5.9.0-35.402bd79.5.9

* Wed Oct 27 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-34.96c2cc4.5.9
- Rebase to mcg-operator-5.9.0-34.96c2cc4.5.9

* Wed Oct 27 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-33.512e20d.5.9
- Rebase to mcg-operator-5.9.0-33.512e20d.5.9

* Thu Oct 21 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-32.422daef.5.9
- Rebase to mcg-operator-5.9.0-32.422daef.5.9

* Thu Oct 21 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-31.1349eec.danny_fixes
- Rebase to mcg-operator-5.9.0-31.1349eec.danny_fixes

* Wed Oct 20 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-30.2c46760.5.9
- Rebase to mcg-operator-5.9.0-30.2c46760.5.9

* Tue Oct 19 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-29.9740b34.5.9
- Rebase to mcg-operator-5.9.0-29.9740b34.5.9

* Mon Oct 18 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-28.61dcf87.5.9
- Rebase to mcg-operator-5.9.0-28.61dcf87.5.9

* Sun Oct 17 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-27.12cdc36.5.9
- Rebase to mcg-operator-5.9.0-27.12cdc36.5.9

* Thu Oct 14 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-26.5772ae9.5.9
- Rebase to mcg-operator-5.9.0-26.5772ae9.5.9

* Thu Oct 14 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-25.1fdbe69.jacky_fixes2
- Rebase to mcg-operator-5.9.0-25.1fdbe69.jacky_fixes2

* Thu Oct 07 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-24.5772ae9.5.9
- Rebase to mcg-operator-5.9.0-24.5772ae9.5.9

* Thu Oct 07 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-23.ad3440c.5.9
- Rebase to mcg-operator-5.9.0-23.ad3440c.5.9

* Wed Oct 06 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-22.011c8a3.5.9
- Rebase to mcg-operator-5.9.0-22.011c8a3.5.9

* Mon Oct 04 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-21.011c8a3.5.9
- Rebase to mcg-operator-5.9.0-21.011c8a3.5.9

* Tue Sep 21 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-20.d2affe4.5.9
- Rebase to mcg-operator-5.9.0-20.d2affe4.5.9

* Tue Sep 14 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-19.d2affe4.5.9
- Rebase to mcg-operator-5.9.0-19.d2affe4.5.9

* Tue Aug 31 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-18.d2affe4.5.9
- Rebase to mcg-operator-5.9.0-18.d2affe4.5.9

* Sun Aug 29 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-17.a61e971.5.9
- Rebase to mcg-operator-5.9.0-17.a61e971.5.9

* Tue Aug 24 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-16.5bb3e1d.5.9
- Rebase to mcg-operator-5.9.0-16.5bb3e1d.5.9

* Sun Aug 22 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-15.e9400e0.5.9
- Rebase to mcg-operator-5.9.0-15.e9400e0.5.9

* Mon Aug 16 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-13.6ca21a2.5.9
- Rebase to mcg-operator-5.9.0-13.6ca21a2.5.9

* Tue Aug 10 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-12.1ce3288.5.9
- Rebase to mcg-operator-5.9.0-12.1ce3288.5.9

* Mon Aug 09 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-11.a85d826.5.9
- Rebase to mcg-operator-5.9.0-11.a85d826.5.9

* Sun Aug 08 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-10.9e97bad.5.9
- Rebase to mcg-operator-5.9.0-10.9e97bad.5.9

* Wed Aug 04 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-9.f260978.5.9
- Rebase to mcg-operator-5.9.0-9.f260978.5.9

* Mon Aug 02 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-8.93acc35.5.9
- Rebase to mcg-operator-5.9.0-8.93acc35.5.9

* Mon Jul 26 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-7.80587a7.5.9
- Rebase to mcg-operator-5.9.0-7.80587a7.5.9

* Sun Jul 25 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-6.2e23ef2.5.9
- Rebase to mcg-operator-5.9.0-6.2e23ef2.5.9

* Mon Jul 19 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-5.19f4ded.5.9
- Rebase to mcg-operator-5.9.0-5.19f4ded.5.9

* Thu Jul 15 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-4.96f6a08.5.9
- Rebase to mcg-operator-5.9.0-4.96f6a08.5.9

* Sun Jul 11 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-3.d38a3f9.5.9
- Rebase to mcg-operator-5.9.0-3.d38a3f9.5.9

* Thu Jul 01 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-2.369eb9a.5.9
- Rebase to mcg-operator-5.9.0-2.369eb9a.5.9

* Thu Jul 01 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.9.0-1.369eb9a.5.9
- Rebase to mcg-operator-5.9.0-1.369eb9a.5.9

* Wed Jun 30 2021 Liran Mauda <lmauda@redhat.com> - 5.9.0-5.9
- Initial build for 5.9.0

* Wed Feb 24 2021 Liran Mauda <lmauda@redhat.com> - 5.8.0-5.8
- Initial build for 5.8.0

* Sun Jun 28 2020 Liran Mauda <lmauda@redhat.com> - 5.7.0-5.7
- Initial build for 5.7.0
- Building CLI for macosx, windows and linux

* Sun Jun 28 2020 Liran Mauda <lmauda@redhat.com> - 5.6.0-5.6
- Initial build for 5.6.0

* Thu Apr 30 2020 Liran Mauda <lmauda@redhat.com> - 2.3.0-2.3
- Initial build for 2.3.0
- Update go to v1.13

* Sun Apr 26 2020 Liran Mauda <lmauda@redhat.com> - 2.2.0-2.2
- Initial build for 2.2.0
- Update the Summary and the Description

* Mon Dec 23 2019 Liran Mauda <lmauda@redhat.com> - 2.1.0-2.1
- Initial build for 2.1.0

* Fri Dec 13 2019 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.0.9-43.db6a79b.2.0
- Rebase to mcg-operator-2.0.9-43.db6a79b.2.0

* Sun Oct 27 2019 Liran Mauda <lmauda@redhat.com> - 2.0.4-7
- building for x86_64 and ppc64le

* Sun Aug 25 2019 Liran Mauda <lmauda@redhat.com>
- Multi cloud gateway CLI
